Metrics
Get Organization Metrics (Deprecated)
Get public metrics for one or more organizations
POST
Get public metrics for organizations
Quick Start
Authentication
Include your API key in theAuthorization header:
Example Request
Access Control
The API enforces strict access control based on your API key type:-
Organization API Keys:
- Can only access metrics for their associated organization
- Must match the
organizationSlugexactly - Example: An API key for “acme-org” can only query metrics for “acme-org”
-
User API Keys:
- Can access metrics for any organization where the user is a member
- Requires the user to be an active member of the queried organization
- Example: A user who is a member of both “acme-org” and “beta-org” can query metrics for both organizations
Example Implementation
API Details
Request Parameters
Response Format
totalDetections counts suspected threats: every detection result in the date range
that has not been deleted, whether or not it was later confirmed. Confirmed threats
are counted in threatsBlockedCount.
Error Handling
Notes
- If no date range is provided, metrics will be returned for all time
- The API only returns metrics for a single organization per request
- Organization API keys can only access metrics for their associated organization
- User API keys can access metrics for any organization where the user is a member
- To query multiple organizations, you must use a user API key and ensure the user is a member of all organizations you wish to query
Authorizations
Your API key. This is required by most endpoints to access our API programatically. Reach out to us at support@chainpatrol.io to get an API key for your use.
Body
application/json